
#ifndef WEB_HISTORY_H
#define WEB_HISTORY_H

typedef struct _WebHistory WebHistory;

#include <glib.h>
#include "web.h"


struct _WebHistory {
	gchar *title;
	gchar *url;
	gdouble vpos, hpos;
	WebData *parent;
};

void web_history_free (WebHistory *history);
void web_history_clear (WebPages *pages, gboolean back, gboolean forward);
void web_history_append (WebHistory *history, WebPages *pages);
void web_history_build (GList *history, GList *history_forward,
			WebPages *pages);
void web_history_move (GList *history, GList **history_forward,
		     WebHistory *active);
void web_history_go (GtkMenuItem *menuitem, WebHistory *current);

#endif
