
#ifndef WEB_REQUEST_H
#define WEB_REQUEST_H

typedef struct _WebRequest WebRequest;

typedef enum {
	WEB_DATA,
	WEB_LINK
} WebRequestType;

#include <glib.h>
#include "web.h"

struct _WebRequest {
	gchar *url;
	WebData *parent;
	WebRequestType type;
	gpointer data;
	gpointer handle;
};

WebRequest *	web_request_copy	(WebRequest *request);
void 		web_request_free	(WebRequest *request);
gint 		web_request_find_cb	(gconstpointer a, gconstpointer b);
void 		web_request_close	(WebRequest *request);
void 		web_request_remove	(WebRequest *request);
void 		web_request_perform	(WebRequest *request);
void 		web_request_init	();

#endif
